com.google.zxing.oned

## Class Code128Reader

- java.lang.Object
- - com.google.zxing.oned.OneDReader
  - - com.google.zxing.oned.Code128Reader

- All Implemented Interfaces:
    Reader

      public final class Code128Reader
      extends OneDReader

  Decodes Code 128 barcodes.

  Author:
    Sean Owen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Code128Reader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result` | `decodeRow(int rowNumber, BitArray row, Map<DecodeHintType,?> hints)` Attempts to decode a one-dimensional barcode format given a single row of an image.

    - ### Methods inherited from class com.google.zxing.oned.OneDReader

      `decode, decode, patternMatchVariance, recordPattern, recordPatternInReverse, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Code128Reader

          public Code128Reader()

  - ### Method Detail

    - #### decodeRow

          public Result decodeRow(int rowNumber,
                                  BitArray row,
                                  Map<DecodeHintType,?> hints)
                           throws NotFoundException,
                                  FormatException,
                                  ChecksumException

      Description copied from class: `OneDReader`

      Attempts to decode a one-dimensional barcode format given a single row of an image.

      Specified by:
        `decodeRow` in class `OneDReader`
      Parameters:
        `rowNumber` - row number from top of the row
        `row` - the black/white pixel data of the row
        `hints` - decode hints
      Returns:
        `Result` containing encoded string and start/end of barcode
      Throws:
        `NotFoundException` - if no potential barcode is found
        `FormatException` - if a potential barcode is found but format is invalid
        `ChecksumException` - if a potential barcode is found but does not pass its checksum

Copyright © 2007–2018. All rights reserved.